#
%define		_state		stable
%define		orgname		kgpg
%define		qtver		4.8.3
%define		kdeworkspacever	4.11.0

Summary:	K Desktop Environment - interface for GnuPG
Name:		kde4-kgpg
Version:	4.14.3
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fa4ace4289fb73221b1eed744b06574a
Patch0:		gpg2.patch
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
Requires:	kde4-kdebase-workspace >= %{kdeworkspacever}
Obsoletes:	kde4-kdeutils-kgpg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kgpg is a simple, free, open source KDE frontend for gpg. It features
- editor mode enables you to type/paste a text and
  encrypt/decrypt/sign/verify it
- key manager: import, export, delete, sign, generate and edit keys.
- integration with konqueror: left click on a file to decrypt/verify
  it, right click on a file to encrypt/sign it.
- encryption: support for symetric encryption. Multiple keys & default
  key encryption. Optional shredding of source files
- signatures: creation & verification of detached & cleartext
  signatures
- drag & drop encryption + clipboard en/decryption

%description -l pl.UTF-8
kgpg jest prostą, darmową, z otwartymi źródłami, graficzną nakładką na
gpg przeznaczoną dla KDE. Ma następujące możliwości:
- tryb edytora umożliwiający napisanie/wklejenie tekstu oraz
  zaszyfrowanie/odszyfrowanie/podpisanie/sprawdzenie go,
- zarządzanie kluczami: import, eksport, usuwanie, podpisywanie,
  generowanie oraz edycję,
- integrację z Konquerorem: kliknięcie lewym przyciskiem na pliku w
  celu odszyfrowania/sprawdzenia go, kliknięcie prawym przyciskiem na
  pliku w celu zaszyfrowania/podpisania go,
- szyfrowanie: obsługa szyfrów symetrycznych; wiele kluczy i domyślne
  szyfrowanie kluczem; opcjonalnie niszczenie plików źródłowych,
- sygnatury: tworzenie i sprawdzanie oddzielonych i czysto tekstowych
  sygnatur,
- szyfrowanie metodą przeciągnij-i-upuść oraz szyfrowanie i
  odszyfrowywanie schowka.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kgpg
%{_desktopdir}/kde4/kgpg.desktop
%{_datadir}/appdata/kgpg.appdata.xml
%{_datadir}/apps/kgpg
%{_datadir}/autostart/kgpg.desktop
%{_datadir}/config.kcfg/kgpg.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kgpg.Key.xml
%{_iconsdir}/hicolor/*/apps/kgpg.png
%{_datadir}/kde4/services/ServiceMenus/encryptfile.desktop
%{_datadir}/kde4/services/ServiceMenus/encryptfolder.desktop
%{_datadir}/kde4/services/ServiceMenus/viewdecrypted.desktop
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kgpg.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> ebe90ae
- rebuild for g++ ABI changes
- release 3 (by relup.sh)

* Sun May 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c30a00d
- rel 2; don't incorrectly warn about gpg agent not running when using gnupg >= 2.1

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 41d52b1
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7983bef
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e424eee
- updated to 4.14.0
- packaged appdata file

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6ed6038
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d8b3535
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9345e0e
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bab4623
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c1aa1ff
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 129708f
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d0501a
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e2699d0
- up to 4.12.0

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 077585d
- workspace will be longerm at 4.11 version now

* Thu Dec 12 2013 Lukasz Masko <lmasko@pld-linux.org> 79421ab
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8632a7a
- up to 4.11.3

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c0b443
- up to 4.11.1

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 96c6430
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 25c1b48
- updated to 4.10.4 (by update-kde4.sh)

* Sat Mar 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b5e2deb
- up to 4.10.1

